RINDEX(3)

NAME
rindex - locate character in string

LIBRARY
libc

SYNOPSIS
#include <strings.h>
char *
rindex(const char *s, int c);

DESCRIPTION
The rindex() function locates the last character matching c (converted to a char) in the null-terminated string s.

RETURN VALUES
A pointer to the character is returned if it is found; otherwise NULL is returned. If c is ‘\0’, rindex() locates the terminating ‘\0’.

SEE ALSO
index(3), memchr(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

HISTORY
A rindex() function appeared in AT&T UNIX.